How I fixed “data-vocabulary.org schema deprecated” breadcrumb issue

I’ve received an email from Google Search Console that about breadcrumbs issues detected on my website. My site is using a premium theme without renewal, this theme has built-in breadcrumb feature, it just need to enable to utilize it.

Since Google sunsetting support for data-vocabulary and my wordpress theme was just using data-vocabulary for breadcrumb, that’s why I’m keep getting warning from Google Search Console.

I’m not good in coding so I don’t know how to fix this breadcrumb issue for my theme. Finally, I found this solution which is useful and easy to fix my breadcrumb issue. I’m just disabled breadcrumb feature from my theme and replace it with Yoast plugin. I will share the steps for how I fix this issue.

How to replace breadcrumb with Yoast SEO plugin

  1. Disabled the breadcrumb feature from your theme. *You have to find out how to disable Breadcrumb from your theme.
  2. After disabled, Click Yoast SEO > Search Appearance > Breadcrumbs > Click Enabled > Click Save Changes
  3. Click Appearance > Theme Editor > Single.php
    *Suggest you might do this with your child theme to avoid any impact from your original theme.
  4. Insert this code into Single.php
  5. I found the my theme breadcrumb code here and I just insert the Yoast Breadcrumb code on top of it.
  6. It was works like charm now.

Read Also:  How to install Windows 10 into Minix Neo Z64A (Drivers included)